Subject: a way to say that dir-locals should only apply to buffers with files

From: Glenn Morris <[email-masked]>
Date: Sun, 10 Feb 2013 20:53:59 -0500

Package: emacs
Severity: wishlist
Version: 24.3

I think there should be some way in a dir-locals file to say
"these settings should only be applied to buffers with files".
Sometimes some options are not appropriate for file-less buffers.
Ref bug#11127.